POST /alerts/{alert_id}/dismiss

Dismiss an open alert and return it.

409 when the alert is not open; 404 when it doesn't exist.

curl -X POST "https://api.ellipsis.dev/v1/alerts/{alert_id}/dismiss" \
  -H "Authorization: Bearer $ELLIPSIS_API_KEY"
{
  "alert": {
    "body": "string",
    "created_at": "2026-01-01T00:00:00Z",
    "cta_label": "string",
    "cta_url": "string",
    "id": "string",
    "resolved_at": "2026-01-01T00:00:00Z",
    "resolved_by": 0,
    "severity": "info",
    "source": "budget",
    "status": "open",
    "title": "string",
    "updated_at": "2026-01-01T00:00:00Z"
  }
}
No request body.
{
  "properties": {
    "alert": {
      "properties": {
        "body": {
          "type": "string"
        },
        "created_at": {
          "format": "date-time",
          "type": "string"
        },
        "cta_label": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "cta_url": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "id": {
          "type": "string"
        },
        "resolved_at": {
          "anyOf": [
            {
              "format": "date-time",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "resolved_by": {
          "anyOf": [
            {
              "type": "integer"
            },
            {
              "type": "null"
            }
          ]
        },
        "severity": {
          "enum": [
            "info",
            "warning"
          ],
          "type": "string"
        },
        "source": {
          "enum": [
            "budget"
          ],
          "type": "string"
        },
        "status": {
          "enum": [
            "open",
            "dismissed",
            "expired"
          ],
          "type": "string"
        },
        "title": {
          "type": "string"
        },
        "updated_at": {
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "id",
        "created_at",
        "updated_at",
        "source",
        "severity",
        "title",
        "body",
        "status"
      ],
      "type": "object"
    }
  },
  "required": [
    "alert"
  ],
  "type": "object"
}

Request

Responses

On this page

No Headings
Schedule a demo